Skip to main content
GET
/
v1
/
equipments
/
{uid}
Retrieve an Equipment
curl --request GET \
  --url https://api.siit.io/v1/equipments/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "added_by": "<string>",
  "category": "<string>",
  "category_uid": "<string>",
  "collection_date": "2023-12-25",
  "created_at": "2023-11-07T05:31:56Z",
  "depreciation_rate": 123,
  "equipment_issue_date": "2023-12-25",
  "external_id": "<string>",
  "external_url": "<string>",
  "firmware_version": "<string>",
  "guarantee_date": "2023-12-25",
  "holder": "<string>",
  "holder_uid": "<string>",
  "ip_address": "<string>",
  "keyboard_layout": "<string>",
  "last_contact_date": "2023-12-25",
  "last_enrollment_date": "2023-12-25",
  "last_maintenance_date": "2023-12-25",
  "last_report_date": "2023-12-25",
  "leasing_buyout_option": true,
  "leasing_company": "<string>",
  "leasing_company_contact": "<string>",
  "leasing_contract_id": "<string>",
  "leasing_end_date": "2023-12-25",
  "leasing_monthly_cost": 123,
  "leasing_start_date": "2023-12-25",
  "leasing_status": "active",
  "lifecycle": "in_service",
  "mac_address": "<string>",
  "model": "<string>",
  "name": "<string>",
  "notes": "<string>",
  "office_location": "<string>",
  "office_location_uid": "<string>",
  "os_name": "<string>",
  "processor_type": "<string>",
  "purchase_cost": 123,
  "purchase_date": "2023-12-25",
  "purchase_number": "<string>",
  "serial_number": "<string>",
  "source": "siit",
  "storage_capacity_mb": 123,
  "storage_type": "nvme",
  "total_ram_mb": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "vendor_name": "<string>"
}

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Equipment

Response

Equipment show

uid
string

The UID of the Equipment

added_by

The user created this equipment. Pass ?expand[]=field_name for full object.

category

Category of this equipment. Defaults to "Other device". Pass ?expand[]=field_name for full object.

category_uid
string

DEPRECATED: Use category instead.

collection_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

created_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

depreciation_rate
integer | null
equipment_issue_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

external_id
string | null
external_url
string | null
firmware_version
string | null
guarantee_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

holder

The user who holds this equipment. Pass ?expand[]=field_name for full object.

holder_uid
string | null
deprecated

DEPRECATED: Use holder instead. The UID of a user.

ip_address
string | null
keyboard_layout
string | null
last_contact_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

last_enrollment_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

last_maintenance_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

last_report_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

leasing_buyout_option
boolean | null
leasing_company
string | null
leasing_company_contact
string | null
leasing_contract_id
string | null
leasing_end_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

leasing_monthly_cost
integer | null
leasing_start_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

leasing_status
enum<string> | null
Available options:
active,
expired
lifecycle
enum<string> | null
default:in_service
Available options:
broken,
outdated,
maintenance,
sold,
lost,
stolen,
reserved,
spare,
in_order,
in_service
mac_address
string | null
model
string | null
name
string
notes
string | null
office_location

Office Location of this equipment. Pass ?expand[]=field_name for full object.

office_location_uid
string | null

DEPRECATED: Use office_location instead.

os_name
string | null
processor_type
string | null
purchase_cost
integer | null
purchase_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

purchase_number
string | null
serial_number
string | null
source
enum<string> | null
default:siit

Where the equipment was discovered from

Available options:
kandji,
jumpcloud_actions,
intune,
siit,
jamf
storage_capacity_mb
integer | null
storage_type
enum<string> | null
Available options:
nvme,
other,
hdd,
ssd
total_ram_mb
integer | null
updated_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

vendor_name
string | null